Loading...
Searching...
No Matches
restinio::so5::so_timer_manager_t Class Referencefinal

Timer factory implementation using timers from SObjectizer. More...

`#include <so_timer_manager.hpp>`

## Classes

struct | factory_t
class | timer_guard_t
| Timer guard for async operations. More...

## Public Member Functions

| so_timer_manager_t (so_5::environment_t &env, so_5::mbox_t mbox, std::chrono::steady_clock::duration check_period)
timer_guard_t | create_timer_guard ()
void | start () const noexcept
| Start/stop timer manager.
void | stop () const noexcept

## Private Attributes

so_5::environment_t & | m_env
so_5::mbox_t | m_mbox
const std::chrono::steady_clock::duration | m_check_period

## Detailed Description

Timer factory implementation using timers from SObjectizer.

Definition at line 54 of file so_timer_manager.hpp.

## Constructor & Destructor Documentation

## so_timer_manager_t()

restinio::so5::so_timer_manager_t::so_timer_manager_t | ( | so_5::environment_t & | env,
|  | so_5::mbox_t | mbox,
|  | std::chrono::steady_clock::duration | check_period
| ) |  |

inline

Definition at line 57 of file so_timer_manager.hpp.

## Member Function Documentation

## create_timer_guard()

timer_guard_t restinio::so5::so_timer_manager_t::create_timer_guard | ( |  | ) |

inline

Definition at line 117 of file so_timer_manager.hpp.

## start()

void restinio::so5::so_timer_manager_t::start | ( |  | ) | const

inline noexcept

Start/stop timer manager.

Definition at line 124 of file so_timer_manager.hpp.

## stop()

void restinio::so5::so_timer_manager_t::stop | ( |  | ) | const

inline noexcept

Definition at line 125 of file so_timer_manager.hpp.

## Member Data Documentation

## m_check_period

const std::chrono::steady_clock::duration restinio::so5::so_timer_manager_t::m_check_period

private

Definition at line 153 of file so_timer_manager.hpp.

## m_env

so_5::environment_t& restinio::so5::so_timer_manager_t::m_env

private

Definition at line 151 of file so_timer_manager.hpp.

## m_mbox

so_5::mbox_t restinio::so5::so_timer_manager_t::m_mbox

private

Definition at line 152 of file so_timer_manager.hpp.

The documentation for this class was generated from the following file:

- restinio/so5/so_timer_manager.hpp